# epmwebapi

A **epmwebapi**  uma biblioteca para a linguagem Python construda com o objetivo de interagir com os dados do **Elipse Plant Manager**, possibilitando uma maior flexibilidade para **buscar**, **organizar**, **analisar**, **compartilhar e monitorar os dados**. 


**Requisitos:**
* EPM Webserver 3.06 (para acesso aos dados do EPM Server, no precisa estar instalado na mesma mquina da epmwebapi).
* Python 3.6 x64 ou superior
* Numpy
* Requests
* Python-dateutil


**Instalao:**
* Faa do download do pacote atravs do site da [Elipse](https://www.elipse.com.br/downloads).
* Faa a descompactao da pasta **epmwebapi** e copie para o diretrio **site-packages** da instalao do Python.
* A epmwebapi  multiplataforma.


**Exemplos:**

* [Exemplo bsico](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/Quickstart.ipynb) - Exemplos de leituras e escritas de dados e anotaes. 
* [Matplotlib](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/basic_use_matplotlib.ipynb) - Utilizando essa biblioteca para gerar grficos.
* [Pandas](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/basic_use_pandas.ipynb) - Use Pandas para manipular dados tabulares.
* [Pandas e dataviz](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/pandas_and_dataviz.ipynb) - Utilizando essas bibliotecar para manipular dados e gerar visualizes grficas.
* [Numpy](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/basic_use_numpy.ipynb) - Numpy  uma biblioteca essecial para trabalhar com clculos de dados em matrizes.
* [Regresso por rvore de deciso](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/decision_tree_regression.ipynb) - Veja como utilizar a biblioteca Scikit-learn para fazer uma regresso. 
* [Utilizando Concorrncia](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/concorrencia_historyReadAggregate.ipynb) - Usando concorrncia para alta performance de consultas ao EPM Server.
* [Buscando em um webserver e escrevendo no EPM Server](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/write_from_webserver.ipynb) - Lendo dados de temperatura do Webserver do INPE e escrevendo em uma varivel do EPM Server. 
* [Machine Learning](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/basic_use_machine_learning.ipynb) - Noes e exemplos de uso dessa tcnica cada vez mais utilizada em dados de processo.
* [Anlise de temperatura e conforto trmico](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/temp_elipse_ecc.ipynb) - Anlises de dados reais de temperaturas das salas da Elipse.
* [Criando mapas](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/maps.ipynb) - Trabalhando com dados de geolocalizao e mapas interativos. 
* [Acessando informaes do EPM Server](https://github.com/elipsesoftware/epmwebapi/blob/master/exemplos/server_information.ipynb) - Acessando informaes como verso, chave de produto, diagnsticos dos Interface Servers, etc. 

